<?php include('casa/setup.casa.php');

$codigo_original = DataForms::POST('code');
  
//validar producto
$Productos = new DB();
$sqlProductos = "SELECT * FROM inventarios_productos
WHERE prod_codigo = '$codigo_original';";
$Productos->dbSQL($sqlProductos);
$Productos->next();
	
	$ubica_codigo = $Productos->dbField('ubica_codigo');
	$prod_item = $Productos->dbField('prod_item');
	$prod_codigo = $Productos->dbField('prod_codigo');
	$prod_traspaso = $Productos->dbField('prod_traspaso');
	$prod_nombre = $Productos->dbField('prod_nombre');
	$prod_foto = $Productos->dbField('prod_foto');
	$prod_piezascaja = $Productos->dbField('prod_piezascaja');
	$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
	$prod_cantidadcajasmemo = $Productos->dbField('prod_cantidadcajasmemo');
	$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');
	$prod_unidadesrealauxiliar = $Productos->dbField('prod_unidadesrealauxiliar');
	$prod_preciounitario = $Productos->dbField('prod_preciounitario');
	$prod_preciodocena = $Productos->dbField('prod_preciodocena');
	$prod_preciocajadocena = $Productos->dbField('prod_preciocajadocena');
	$prod_observaciones = $Productos->dbField('prod_observaciones');
	$prod_fecha = $Productos->dbField('prod_fecha');
	$prod_estado = $Productos->dbField('prod_estado');
	$prod_tipo = $Productos->dbField('prod_tipo');
	
//crear copia
$Venta = new DB();
$codigo = substr(sha1(uniqid()),1,7);
$sqlVenta = "INSERT INTO inventarios_productos(
	ubica_codigo,prod_item,prod_codigo,
	prod_traspaso,prod_nombre,prod_foto,
	prod_piezascaja,prod_cantidadcajas,prod_cantidadcajasmemo,
	prod_unidadesreal,prod_unidadesrealauxiliar,prod_preciounitario,
	prod_preciodocena,prod_preciocajadocena,prod_observaciones,
	prod_estado,prod_tipo,
	prod_duplicado
)VALUES(
	'$ubica_codigo','$prod_item','$codigo',
	'$prod_traspaso','$prod_nombre','$prod_foto',
	'$prod_piezascaja','$prod_cantidadcajas','$prod_cantidadcajasmemo',
	'$prod_unidadesreal','$prod_unidadesrealauxiliar','$prod_preciounitario',
	'$prod_preciodocena','$prod_preciocajadocena','$prod_observaciones',
	'$prod_estado','$prod_tipo',
	'$codigo_original'
);";	
$Venta->dbSQL($sqlVenta);
$html = '<script>top.location="'.PATH_HOME.'productos-duplicado-mod1.php?id='.$codigo.'";</script>';
echo $html;
?>
